## org.codehaus.groovy.ast.stmt
Class DoWhileStatement

Field Summary
`BooleanExpression` | `booleanExpression`
`Statement` | `loopBlock`

Constructor Summary
`DoWhileStatement(BooleanExpression booleanExpression, Statement loopBlock)`

Method Summary
`BooleanExpression` | `getBooleanExpression()`
`Statement` | `getLoopBlock()`
`void` | `setBooleanExpression(BooleanExpression booleanExpression)`
`void` | `visit(GroovyCodeVisitor visitor)`

Constructor Detail

### DoWhileStatement

    public DoWhileStatement(BooleanExpression booleanExpression, Statement loopBlock)

Method Detail

### getBooleanExpression

    public BooleanExpression getBooleanExpression()

### getLoopBlock

    public Statement getLoopBlock()

### setBooleanExpression

    public void setBooleanExpression(BooleanExpression booleanExpression)

### visit

    public void visit(GroovyCodeVisitor visitor)